routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::middleware('auth:web')->group(function () {
    Route::get('/', \App\Http\Controllers\HomeController::class)->name('home');

    Route::prefix('hub')->name('hub.')->group(function () {
        Route::get('/', (new \App\Http\Controllers\Hub\HubController())->index(...))->name('index');
        Route::get('/create', (new \App\Http\Controllers\Hub\HubController())->create(...))->name('create');
        Route::post('/create', (new \App\Http\Controllers\Hub\HubController())->store(...))->name('store');
        Route::get('{hub_id}', (new \App\Http\Controllers\Hub\HubController())->show(...))->name('show');

        Route::prefix('{hub_id}/ligne')->name('ligne.')->group(function () {
            Route::get('/', (new \App\Http\Controllers\Hub\LigneController())->index(...))->name('index');
            Route::get('create', (new \App\Http\Controllers\Hub\LigneController())->create(...))->name('create');
            Route::post('create', (new \App\Http\Controllers\Hub\LigneController())->store(...))->name('store');
            Route::get('{ligne_id}', (new \App\Http\Controllers\Hub\LigneController())->show(...))->name('show');
        });
    });

    Route::prefix('shop')->name('shop.')->group(function () {
        Route::get('/', (new \App\Http\Controllers\Shop\ShopController())->index(...))->name('index');
        Route::get('checkout', (new \App\Http\Controllers\Shop\ShopController())->checkout(...))->name('checkout');
    });
});

Route::get('/test', (new \App\Http\Controllers\CoreController())->test(...));
Route::get('/register/config', (new \App\Http\Controllers\CoreController())->config(...))->name('register.config');
Route::post('/register/config', (new \App\Http\Controllers\CoreController())->store(...))->name('register.config.store');

Route::get('/roadmap', (new \App\Http\Controllers\CoreController())->roadmap(...))->name('roadmap');

app/Models/Core/Hub.php
<?php

namespace App\Models\Core;

use App\Models\Users\UserHub;
use Bavix\Wallet\Interfaces\Customer;
use Bavix\Wallet\Interfaces\ProductInterface;
use Bavix\Wallet\Traits\HasWallet;
use Illuminate\Database\Eloquent\Model;

/**
 * @mixin IdeHelperHub
 */
class Hub extends Model implements ProductInterface
{
    use HasWallet;

    public $timestamps = false;

    protected $guarded = [];

    protected $appends = ['count_annual_passengers'];

    public function lignes()
    {
        return $this->hasMany(Ligne::class);
    }

    public function requirement()
    {
        return $this->hasMany(LigneRequireHub::class);
    }

    public function users()
    {
        return $this->hasMany(UserHub::class);
    }

    public function getAmountProduct(Customer $customer): int|string
    {
        // TODO: Implement getAmountProduct() method.
        /** @phpstan-ignore-next-line */
        return $this->price;
    }

    public function getMetaProduct(): ?array
    {
        // TODO: Implement getMetaProduct() method.
        return [
            'title' => $this->name,
            'description' => 'Achat du hub: '.$this->name,
        ];
    }

    public function getCountAnnualPassengersAttribute(): float|int
    {
        return (($this->request_first_class + $this->request_second_class) * 20) * 240; // 240 jours de travail annuel
    }
}

app/Models/Core/Ligne.php
<?php

namespace App\Models\Core;

use App\Models\Users\UserLigne;
use Bavix\Wallet\Interfaces\Customer;
use Bavix\Wallet\Interfaces\ProductInterface;
use Bavix\Wallet\Traits\HasWallet;
use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Core\Ligne
 *
 * @property int $id
 * @property string $station_start
 * @property string $station_end
 * @property string $nb_station
 * @property string $price
 * @property string $distance
 * @property string $type_vehicule
 * @property string $time_min
 * @property int $hub_id
 * @property-read string $balance
 * @property-read int $balance_int
 * @property-read \Bavix\Wallet\Models\Wallet $wallet
 * @property-read \App\Models\Core\Hub $hub
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\Core\LigneRequireHub> $requirement
 * @property-read int|null $requirement_count
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\Core\LigneStation> $stations
 * @property-read int|null $stations_count
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \Bavix\Wallet\Models\Transaction> $transactions
 * @property-read int|null $transactions_count
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \Bavix\Wallet\Models\Transfer> $transfers
 * @property-read int|null $transfers_count
 * @property-read UserLigne|null $users
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \Bavix\Wallet\Models\Transaction> $walletTransactions
 * @property-read int|null $wallet_transactions_count
 *
 * @method static \Illuminate\Database\Eloquent\Builder|Ligne newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|Ligne newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|Ligne query()
 * @method static \Illuminate\Database\Eloquent\Builder|Ligne whereDistance($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Ligne whereHubId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Ligne whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Ligne whereNbStation($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Ligne wherePrice($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Ligne whereStationEnd($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Ligne whereStationStart($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Ligne whereTimeMin($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Ligne whereTypeVehicule($value)
 *
 * @mixin \Eloquent
 * @mixin IdeHelperLigne
 */
class Ligne extends Model implements ProductInterface
{
    use HasWallet;

    public $timestamps = false;

    protected $guarded = [];

    public function hub()
    {
        return $this->belongsTo(Hub::class);
    }

    public function stations()
    {
        return $this->hasMany(LigneStation::class);
    }

    public function requirement()
    {
        return $this->hasMany(LigneRequireHub::class);
    }

    public function users()
    {
        return $this->belongsTo(UserLigne::class);
    }

    public function getAmountProduct(Customer $customer): int|string
    {
        // TODO: Implement getAmountProduct() method.
        return $this->price;
    }

    public function getMetaProduct(): ?array
    {
        // TODO: Implement getMetaProduct() method.
        return [
            'title' => $this->station_start.' - '.$this->station_end,
            'description' => 'Achat de la ligne: '.$this->station_start.' - '.$this->station_end,
        ];
    }
}

app/Http/Controllers/Api/Core/HubController.php
<?php

namespace App\Http\Controllers\Api\Core;

use App\Http\Controllers\Api\ApiController;
use App\Models\Core\Hub;
use App\Models\User;
use Illuminate\Http\Request;

class HubController extends ApiController
{
    public function index()
    {
        return response()->json(Hub::all());
    }

    public function info(Request $request)
    {
        $hub = Hub::find($request->get('hub_id'));
        $user = User::find($request->get('user_id'));
        $balance = $user->balance;
        $amount_du = $hub->price - ($hub->price * $user->company->subvention / 100);

        return $this->sendSuccess(null, [
            'hub' => $hub,
            'logo_ter' => $hub->ter ? '/storages/logos/ter.png' : null,
            'logo_tgv' => $hub->tgv ? '/storages/logos/tgv.png' : null,
            'logo_intercite' => $hub->intercity ? '/storages/logos/intercite.png' : null,
            'prix_brut' => eur($hub->price),
            'subvention_percent' => $user->company->subvention.'%',
            'subvention' => eur($hub->price * $user->company->subvention / 100),
            'restant' => eur($hub->price - ($hub->price * $user->company->subvention / 100)), /** @phpstan-ignore-line */
            'dispo' => $amount_du > $balance ? false : true,
            'possess' => $user->hubs()->where('hub_id', $request->get('hub_id'))->get()->count() == 0 ? false : true,
        ]);
    }
}

app/Http/Controllers/Api/Core/LigneController.php
<?php

namespace App\Http\Controllers\Api\Core;

use App\Http\Controllers\Api\ApiController;
use App\Models\Core\Ligne;
use App\Models\Users\UserHub;
use App\Models\Users\UserLigne;
use Illuminate\Http\Request;

class LigneController extends ApiController
{
    public function info(Request $request, $ligne_id)
    {
        $ligne = Ligne::find($ligne_id)->load('requirement');
        $hub = UserHub::find($request->get('user_hub_id'));

        //dd($request->all());

        //Si la ligne est déja acquise
        $verif_ligne = UserLigne::where('user_hub_id', $hub->id)->where('ligne_id', $ligne_id)->count();

        return $this->sendSuccess(null, [
            'error_ligne_acl' => $verif_ligne != 0 ? true : false,
            'prix_brut' => eur($ligne->price),
            'ligne' => $ligne,
        ]);
    }
}

app/Http/Controllers/Hub/HubController.php
<?php

namespace App\Http\Controllers\Hub;

use App\Http\Controllers\Controller;
use App\Models\Core\Hub;
use App\Models\Users\UserHub;
use App\Trait\ComptaTrait;
use Illuminate\Http\Request;

class HubController extends Controller
{
    public function index()
    {
        $hubs = auth()->user()->hubs;

        return view('hub.index', ['hubs' => $hubs]);
    }

    public function create()
    {
        return view('hub.create', [
            'hubs' => Hub::all(),
        ]);
    }

    public function store(Request $request)
    {
        $hub = Hub::find($request->get('hub_id'));

        auth()->user()->hubs()->create([
            'nb_salarie_iv' => intval($hub->superficie_infra / 1000 * 1),
            'nb_salarie_ir' => intval($hub->superficie_infra / 1000 * 2),
            'nb_salarie_com' => intval($hub->superficie_infra / 1000 * 2),
            'nb_salarie_technicentre' => 0,
            'date_achat' => now(),
            'km_ligne' => 0,
            'user_id' => auth()->user()->id,
            'hub_id' => $hub->id,
        ]);

        // Active les recherches du HUB

        ComptaTrait::createDebit(
            $hub->users,
            'Achat HUB:'.$hub->name,
            $hub->price,
            'charge',
            'achat_hub',
        );
        ComptaTrait::createCredit(
            $hub->users,
            "Subvention Achat d'un HUB",
            $request->get('price_subvention'),
            'produit',
            'subvention'
        );

        return redirect()->back()->with('success', "Le hub $hub->name à été acheter avec succès");
    }

    public function show($hub_id)
    {
        $hub = UserHub::find($hub_id);

        return view('hub.show', [
            'hub' => $hub,
        ]);
    }
}

app/Http/Controllers/Hub/LigneController.php
<?php

namespace App\Http\Controllers\Hub;

use App\Http\Controllers\Controller;
use App\Models\Core\Ligne;
use App\Models\Users\UserHub;
use App\Models\Users\UserLigne;
use App\Trait\ComptaTrait;
use Bavix\Wallet\Internal\Exceptions\ExceptionInterface;
use Illuminate\Http\Request;

class LigneController extends Controller
{
    public function index($hub_id)
    {
        $lignes = UserHub::find($hub_id)->lignes;

        return view('hub.ligne.index', [
            'hub' => UserHub::find($hub_id),
            'lignes' => $lignes,
        ]);
    }

    public function create($hub_id)
    {
        $hub = UserHub::find($hub_id);

        return view('hub.ligne.create', [
            'hub' => $hub,
            'lignes' => Ligne::where('hub_id', $hub->hub_id)->get(),
        ]);
    }

    /**
     * @throws ExceptionInterface
     */
    public function store($hub_id, Request $request)
    {
        $hub = UserHub::find($hub_id);
        $l = Ligne::find($request->get('ligne_id'));
        $nb_quai = $hub->hub->nb_quai;
        $hub->lignes()->create([
            'date_achat' => now(),
            'nb_depart_jour' => intval(config('app.system.nb_min_in_day') / ($l->time_min * 2 + 15)), /** @phpstan-ignore-line */
            'quai' => random_int(1, $nb_quai),
            'user_hub_id' => $hub->id,
            'ligne_id' => $request->get('ligne_id'),
        ]);

        ComptaTrait::createDebit(
            $hub->user,
            'Achat ligne: '.$l->station_start.' <=> '.$l->station_end,
            $l->price,
            'charge',
            'achat_ligne'
        );

        return redirect()->back()->with('success', "La ligne $l->station_start <=> $l->station_end à été acheter avec succès");
    }

    public function show($hub_id, $ligne_id)
    {
        return view('hub.ligne.show', [
            'hub' => UserHub::find($hub_id),
            'ligne' => UserLigne::find($ligne_id),
        ]);
    }
}

resources/views/hub/ligne/create.blade.php
@extends("template")

@section("css")

@endsection

@section("bread")
    <!--begin::Toolbar wrapper-->
    <div class="d-flex align-items-center pt-1">
        <!--begin::Breadcrumb-->
        <ul class="breadcrumb breadcrumb-separatorless fw-semibold">
            <!--begin::Item-->
            <li class="breadcrumb-item text-white fw-bold lh-1">
                <a href="{{ route('home') }}" class="text-white">
                    <i class="ki-outline ki-home text-white fs-3"></i>
                </a>
            </li>
            <!--end::Item-->
            <!--begin::Item-->
            <li class="breadcrumb-item">
                <i class="ki-outline ki-right fs-4 text-white mx-n1"></i>
            </li>
            <!--end::Item-->
            <!--begin::Item-->
            <li class="breadcrumb-item text-white fw-bold lh-1">
                <a href="{{ route('hub.index') }}" class="text-white">
                    Hubs
                </a>
            </li>
            <!--end::Item-->
            <!--begin::Item-->
            <li class="breadcrumb-item">
                <i class="ki-outline ki-right fs-4 text-white mx-n1"></i>
            </li>
            <!--end::Item-->
            <!--begin::Item-->
            <li class="breadcrumb-item text-white fw-bold lh-1">
                <a href="{{ route('hub.index') }}" class="text-white">
                    Mes Hubs
                </a>
            </li>
            <!--end::Item-->
            <!--begin::Item-->
            <li class="breadcrumb-item">
                <i class="ki-outline ki-right fs-4 text-white mx-n1"></i>
            </li>
            <!--end::Item-->
            <!--begin::Item-->
            <li class="breadcrumb-item text-white fw-bold lh-1">
                <a href="{{ route('hub.show', $hub->id) }}" class="text-white">
                    {{ $hub->hub->name }}
                </a>
            </li>
            <!--end::Item-->
            <!--begin::Item-->
            <li class="breadcrumb-item">
                <i class="ki-outline ki-right fs-4 text-white mx-n1"></i>
            </li>
            <!--end::Item-->
            <!--begin::Item-->
            <li class="breadcrumb-item text-white fw-bold lh-1">
                <a href="{{ route('hub.ligne.index', $hub->id) }}" class="text-white">
                    Lignes
                </a>
            </li>
            <!--end::Item-->
            <!--begin::Item-->
            <li class="breadcrumb-item">
                <i class="ki-outline ki-right fs-4 text-white mx-n1"></i>
            </li>
            <!--end::Item-->
            <!--begin::Item-->
            <li class="breadcrumb-item text-white fw-bold lh-1">Achat d'une nouvelle ligne</li>
            <!--end::Item-->
        </ul>
        <!--end::Breadcrumb-->
        <!--end::Breadcrumb-->
    </div>
    <!--end::Toolbar wrapper=-->
@endsection

@section("name_hub")
    <div id="kt_app_toolbar" class="app-toolbar py-6" style="background: url('/storages/wallpaper/hubs/{{ Str::snake(Str::lower($hub->hub->name)) }}.jpg') no-repeat center;background-size: cover;">
@endsection

@section("content")
    <div class="app-content-menu menu menu-rounded menu-gray-800 menu-state-bg flex-wrap fs-5 fw-semibold border-bottom mt-n7 pt-5 px-10 mb-10">
        <!--begin::Menu item-->
        <div class="menu-item pe-2">
            <a class="menu-link px-5 text-active-success " href="{{ route('hub.show', $hub->id) }}">
                <span class="menu-title text-gray-800">Aperçu</span>
            </a>
        </div>
        <div class="menu-item pe-2">
            <a class="menu-link px-5 text-active-success active" href="{{ route('hub.ligne.index', $hub->id) }}">
                <span class="menu-title text-gray-800">Lignes</span>
            </a>
        </div>
        <div class="menu-item pe-2">
            <a class="menu-link px-5 text-active-success" href="{{ route('hub.show', $hub->id) }}">
                <span class="menu-title text-gray-800">Technicentre</span>
            </a>
        </div>
        <div class="menu-item pe-2">
            <a class="menu-link px-5 text-active-success" href="{{ route('hub.show', $hub->id) }}">
                <span class="menu-title text-gray-800">Commerces</span>
            </a>
        </div>
        <div class="menu-item pe-2">
            <a class="menu-link px-5 text-active-success" href="{{ route('hub.show', $hub->id) }}">
                <span class="menu-title text-gray-800">Publicités</span>
            </a>
        </div>
        <div class="menu-item pe-2">
            <a class="menu-link px-5 text-active-success" href="{{ route('hub.show', $hub->id) }}">
                <span class="menu-title text-gray-800">Parking</span>
            </a>
        </div>
        <!--end::Menu item-->
    </div>
    <form id="form_adding_ligne" action="{{ route('hub.ligne.store', $hub->id) }}" method="post">
        @csrf
        <div class="row mb-10">
            <div class="col-md-8 col-sm-12">
                <div class="card shadow-lg rounded-1 bg-gray-400">
                    <div class="card-header">
                        <h3 class="card-title text-white fw-bold">Achat d'une nouvelle ligne</h3>
                    </div>
                    <div class="card-body">
                        <div class="mb-10">
                            <label for="ligne_id" class="form-label required">
                                Ligne disponible
                            </label>
                            <select id="ligne_id" class="form-control" data-control="select2" name="ligne_id" data-live-search="true" data-placeholder="Ligne disponible" required>
                                <option value=""></option>
                                @foreach($lignes as $ligne)
                                    <option value="{{ $ligne->id }}" data-content="{{ $ligne->station_start }} / {{ $ligne->station_end }}">{{ $ligne->station_start }} / {{ $ligne->station_end }}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-4 col-sm-12">
                <div class="card shadow-lg rounded-1 bg-gray-400">
                    <div class="card-header">
                        <h3 class="card-title text-white fw-bold">Récapitulatif</h3>
                    </div>
                    <div class="card-body">
                        <div id="recapInfo">
                        </div>
                        <div class="d-flex flex-row justify-content-between mb-3">
                            <div class="d-flex flex-column fs-1">
                                <strong>Ligne:</strong>
                                <span data-name="stationLine">Le Mans / Caen</span>
                            </div>
                        </div>
                        <div class="fw-bolder fs-2">Informations</div>
                        <div class="d-flex flex-row justify-content-between mb-3">
                            <div class="d-flex flex-column">
                                <strong>Nombre d'arret</strong>
                                <span data-name="stationPointCount">Le Mans / Caen</span>
                            </div>
                        </div>
                        <div class="d-flex flex-row justify-content-between mb-3">
                            <div class="d-flex flex-column">
                                <strong>Distance</strong>
                                <span data-name="stationDistance">Le Mans / Caen</span>
                            </div>
                        </div>
                        <div class="d-flex flex-row justify-content-between mb-3">
                            <div class="d-flex flex-column">
                                <strong>Temps de trajets</strong>
                                <span data-name="stationTravelTime">Le Mans / Caen</span>
                            </div>
                        </div>
                        <div class="fw-bolder fs-2">Prix</div>

                        <div class="d-flex flex-row justify-content-center mb-3">
                            <div class="d-flex flex-column justify-content-center border border-2 border-danger p-5 rounded-1 fs-1">
                                <strong>Prix à payer</strong>
                                <span data-name="netPrice">Le Mans / Caen</span>
                            </div>
                        </div>
                        <div class="d-flex flex-end">
                            <button id="btnLigneCheckout" class="btn btn-success" disabled><i class="fa-solid fa-check-circle"></i> Acheter la ligne</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>

@endsection

@section("script")
    <script type="text/javascript">
        $("#ligne_id").on('change', e => {
            e.preventDefault()
            $.ajax({
                url: '/api/core/ligne/info/'+e.target.value,
                data: {"user_hub_id": '{{ $hub->id }}'},
                success: data => {
                    document.querySelector('[data-name="stationLine"]').innerHTML = `${data.data.ligne.station_start} <=>  ${data.data.ligne.station_end}`
                    document.querySelector('[data-name="stationPointCount"]').innerHTML = `${data.data.ligne.nb_station}`
                    document.querySelector('[data-name="stationDistance"]').innerHTML = `${data.data.ligne.distance} Km`
                    document.querySelector('[data-name="stationTravelTime"]').innerHTML = `${data.data.ligne.time_min} Min`
                    document.querySelector('[data-name="netPrice"]').innerHTML = data.data.prix_brut

                    if(data.data.error_ligne_acl) {
                        document.querySelector('#btnLigneCheckout').setAttribute('disabled', true)
                        document.querySelector('#recapInfo').innerHTML = `
                        <div class="alert alert-dismissible bg-light-danger d-flex flex-column flex-sm-row p-5 mb-10">
                            <i class="ki-duotone ki-notification-bing fs-2hx text-danger me-4 mb-5 mb-sm-0">
                                <span class="path1"></span><span class="path2"></span><span class="path3"></span>
                            </i>
                            <div class="d-flex flex-column pe-0 pe-sm-10">
                                <h4 class="fw-semibold">Erreur</h4>
                                <span>Cette ligne vous appartient déjà !</span>
                            </div>

                            <button type="button" class="position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert">
                                <i class="ki-duotone ki-cross fs-1 text-primary"><span class="path1"></span><span class="path2"></span></i>
                            </button>
                        </div>
                        `
                    } else {
                        document.querySelector('#btnLigneCheckout').removeAttribute('disabled')
                        document.querySelector('#recapInfo').innerHTML = ``
                    }
                }
            })
        })
    </script>
@endsection

resources/views/hub/ligne/index.blade.php
@extends("template")

@section("css")

@endsection

@section("bread")
    <!--begin::Toolbar wrapper-->
    <div class="d-flex align-items-center pt-1">
        <!--begin::Breadcrumb-->
        <ul class="breadcrumb breadcrumb-separatorless fw-semibold">
            <!--begin::Item-->
            <li class="breadcrumb-item text-white fw-bold lh-1">
                <a href="{{ route('home') }}" class="text-white">
                    <i class="ki-outline ki-home text-white fs-3"></i>
                </a>
            </li>
            <!--end::Item-->
            <!--begin::Item-->
            <li class="breadcrumb-item">
                <i class="ki-outline ki-right fs-4 text-white mx-n1"></i>
            </li>
            <!--end::Item-->
            <!--begin::Item-->
            <li class="breadcrumb-item text-white fw-bold lh-1">
                <a href="{{ route('hub.index') }}" class="text-white">
                    Hubs
                </a>
            </li>
            <!--end::Item-->
            <!--begin::Item-->
            <li class="breadcrumb-item">
                <i class="ki-outline ki-right fs-4 text-white mx-n1"></i>
            </li>
            <!--end::Item-->
            <!--begin::Item-->
            <li class="breadcrumb-item text-white fw-bold lh-1">
                <a href="{{ route('hub.index') }}" class="text-white">
                    Mes Hubs
                </a>
            </li>
            <!--end::Item-->
            <!--begin::Item-->
            <li class="breadcrumb-item">
                <i class="ki-outline ki-right fs-4 text-white mx-n1"></i>
            </li>
            <!--end::Item-->
            <!--begin::Item-->
            <li class="breadcrumb-item text-white fw-bold lh-1">
                <a href="{{ route('hub.show', $hub->id) }}" class="text-white">
                    {{ $hub->hub->name }}
                </a>
            </li>
            <!--end::Item-->
            <!--begin::Item-->
            <li class="breadcrumb-item">
                <i class="ki-outline ki-right fs-4 text-white mx-n1"></i>
            </li>
            <!--end::Item-->
            <!--begin::Item-->
            <li class="breadcrumb-item text-white fw-bold lh-1">Lignes</li>
            <!--end::Item-->
        </ul>
        <!--end::Breadcrumb-->
        <!--end::Breadcrumb-->
    </div>
    <!--end::Toolbar wrapper=-->
@endsection

@section("name_hub")
    <div id="kt_app_toolbar" class="app-toolbar py-6" style="background: url('/storages/wallpaper/hubs/{{ Str::snake(Str::lower($hub->hub->name)) }}.jpg') no-repeat center;background-size: cover;">
@endsection

@section("content")
    <div class="app-content-menu menu menu-rounded menu-gray-800 menu-state-bg flex-wrap fs-5 fw-semibold border-bottom mt-n7 pt-5 px-10 mb-10">
        <!--begin::Menu item-->
        <div class="menu-item pe-2">
            <a class="menu-link px-5 text-active-success " href="{{ route('hub.show', $hub->id) }}">
                <span class="menu-title text-gray-800">Aperçu</span>
            </a>
        </div>
        <div class="menu-item pe-2">
            <a class="menu-link px-5 text-active-success active" href="{{ route('hub.ligne.index', $hub->id) }}">
                <span class="menu-title text-gray-800">Lignes</span>
            </a>
        </div>
        <div class="menu-item pe-2">
            <a class="menu-link px-5 text-active-success" href="{{ route('hub.show', $hub->id) }}">
                <span class="menu-title text-gray-800">Technicentre</span>
            </a>
        </div>
        <div class="menu-item pe-2">
            <a class="menu-link px-5 text-active-success" href="{{ route('hub.show', $hub->id) }}">
                <span class="menu-title text-gray-800">Commerces</span>
            </a>
        </div>
        <div class="menu-item pe-2">
            <a class="menu-link px-5 text-active-success" href="{{ route('hub.show', $hub->id) }}">
                <span class="menu-title text-gray-800">Publicités</span>
            </a>
        </div>
        <div class="menu-item pe-2">
            <a class="menu-link px-5 text-active-success" href="{{ route('hub.show', $hub->id) }}">
                <span class="menu-title text-gray-800">Parking</span>
            </a>
        </div>
        <!--end::Menu item-->
    </div>

    <div class="d-flex flex-end mb-5 mt-0">
        <a href="{{ route("hub.ligne.create", $hub->id) }}" class="btn btn-outline btn-outline-primary"><i class="fa-solid fa-euro-sign"></i> Acheter une ligne</a>
    </div>


    @if(count($lignes) != 0)
        @foreach($lignes as $ligne)
            <a class="d-flex flex-row shadow-lg rounded-3 p-5 text-black mb-10" href="{{ route('hub.ligne.show', [$hub->id, $ligne->id]) }}">
                <div class="d-flex flex-column justify-content-between">
                    <div class="d-flex flex-row justify-content-between mb-3">
                        <div class="d-flex flex-row">
                            <span class="badge badge-sm badge-primary me-5">LIGNE</span>
                            <div class="fw-bold">{{ $ligne->ligne->station_start }} <=> >{{ $ligne->ligne->station_end }}</div>
                        </div>
                    </div>
                </div>
            </a>
        @endforeach
    @else
        <div class="d-flex flex-row justify-content-center shadow-lg rounded-3 p-5 text-danger mb-10">
            <i class="ki-duotone ki-information fs-1"></i> Aucune ligne actuellement disponible dans ce HUB, veuillez en acheter une !
        </div>
    @endif

@endsection

@section("script")

@endsection